Bug 1690192 - federation image is named differently in OCP and Origin
Summary: federation image is named differently in OCP and Origin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Federation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.0
Assignee: Paul Morie
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 00:59 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:10 UTC

Description Clayton Coleman 2019-03-19 00:59:40 UTC
The Origin image is federation-controllers (publishing to ocp/4.0 via CI) and the OCP image name is federation-v2 (published back to ocp/4.0-art-latest via quay).

The names must be consistent.  Please fix ASAP.

Comment 1 Paul Morie 2019-03-19 18:43:34 UTC
I will have the OCP image name changed.

Comment 2 Paul Morie 2019-03-21 17:26:25 UTC
Configuration change is made, will be fixed in next nightly build: https://github.com/openshift/ocp-build-data/blob/openshift-4.0/images/federation-v2.yml

Comment 4 Qin Ping 2019-03-25 03:22:40 UTC
Now, the federation image name
1. in OCP is: openshift/ose-federation-controller, the name in quay is: ocp-v4.0-art-dev:v4.0.z-n-ose-federation-controller
2. in origin is: origin-federation-controller

Comment 5 Tim Bielawa 2019-03-25 14:05:43 UTC
I have deleted this

$ oc delete istag/4.0-art-latest:federation-v2 -n ocp                                                                                                 
imagestreamtag.image.openshift.io "4.0-art-latest:federation-v2" deleted

Comment 7 errata-xmlrpc 2019-06-04 10:46:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.